Package org.apache.maven.scm.provider.tfs.command.consumer

## Class FileListConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.tfs.command.consumer.FileListConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

Direct Known Subclasses:
  `ServerFileListConsumer`

    public class FileListConsumer
    extends java.lang.Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

### Field Summary

Fields
`protected java.lang.String` `currentDir`

### Constructor Summary

Constructors
`FileListConsumer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)`
`java.util.List<ScmFile>` `getFiles()`
`protected ScmFile` `getScmFile​(java.lang.String filename)`
`boolean` `hasBeenFed()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### currentDir

    protected java.lang.String currentDir

### Constructor Detail

#### FileListConsumer

    public FileListConsumer()

### Method Detail

#### consumeLine

    public void consumeLine​(java.lang.String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getScmFile

    protected ScmFile getScmFile​(java.lang.String filename)

#### getFiles

    public java.util.List<ScmFile> getFiles()

#### hasBeenFed

    public boolean hasBeenFed()